Skip to main content
POST
/
api
/
v2
/
Pledge
/
Query
Query Pledges
curl --request POST \
  --url https://api.virtuoussoftware.com/api/v2/Pledge/Query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": [
            "<string:optional>",
            "<string:optional>"
          ]
        },
        {
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": [
            "<string:optional>",
            "<string:optional>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string:optional:default=id>",
  "descending": "<boolean:optional:default=false>"
}
'
{
  "list": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "amountPledged": "<double>",
      "frequency": "<string>",
      "pledgeDate": "<dateTime>",
      "expectedFulfillmentDate": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "payments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "amountPledged": "<double>",
      "frequency": "<string>",
      "pledgeDate": "<dateTime>",
      "expectedFulfillmentDate": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "payments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10. Max is 1000.

Body

application/json
groups
object[]
sortBy
string
descending
string<style>

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026